Subject: Re: [IETFMIBS] Message Encoding for SNMPv3

From: "tom.petch" <[email-masked]>
Date: Fri, 13 Mar 2009 18:49:39 +0100

----- Original Message -----
From: "Randy Presuhn" <[email-masked]>
To: <[email-masked]>
Sent: Friday, February 27, 2009 8:35 PM
Subject: Re: [IETFMIBS] Message Encoding for SNMPv3

 > From: "Hamid Mukhtar" <[email-masked]>
> > To: "Randy Presuhn" <[email-masked]>
> > Cc: <[email-masked]>
> > Sent: Thursday, February 26, 2009 11:55 PM
> > Subject: Re: [IETFMIBS] Message Encoding for SNMPv3
> >
> > On Fri, Feb 27, 2009 at 2:24 PM, Randy Presuhn
> > <[email-masked]> wrote:
> > > Hi -
> > >
> > >> From: "Hamid Mukhtar" <[email-masked]>
> > >> To: "Randy Presuhn" <[email-masked]>
> > >> Cc: <[email-masked]>
> > >> Sent: Thursday, February 26, 2009 5:08 PM
> > >> Subject: Re: [IETFMIBS] Message Encoding for SNMPv3
> > > ...
> > >> Just for my knowledge, Is the use of proxy-forwarder applications
> > >> restricted to forwarding the four basic types only or they can be used
> > >> for other proxy related applications too.
> > >
> > > I'm not sure what you mean by "the four basic types".
> > >
> >
> > RFC 3413 in its section 3.5 identifies four basic types of proxy
> > forwarder applications.
>
> No, it does not.  Section 3.5 describes the handling of four message
> types to be handled by a proxy application.
>
> >  You specified that the proxy forwarder (as
> > defined in RFC 3413) uses a "narrow sense" of the term proxy.  For my
> > understanding I just need to clarify what you mean by narrow sense. Do
> > you mean that the only translation a proxy forwarder can do as an
> > intermediate entity is between SNMP versions. Thus the SNMPv3 proxy
> > forwarders cannot be used to translate between SNMP and non-SNMP
> > protocols (for instance a protocol which uses XML instead of BER
> > encoding).
>
> See RFC 3413 section 1.5.  This paragraph sums it up:
>
>    To avoid such confusion, this document uses the term "proxy" with a
>    much more tightly defined meaning.  The term "proxy" is used in this
>    document to refer to a proxy forwarder application which forwards
>    either SNMP messages without regard for what managed objects are
>    contained within those messages.  This definition is most closely
>    related to the first definition above.  Note, however, that in the
>    SNMP architecture [RFC3411], a proxy forwarder is actually an
>    application, and need not be associated with what is traditionally
>    thought of as an SNMP agent.

Randy

I read that and thought - well it may be right but is it grammatical?  Where is
the 'or' to the 'either'?

RFC2263 has
"   either SNMP requests, notifications, and responses without regard for
   what managed objects are contained within requests or notifications."

which is somewhat less ungrammatical.

RFC1905 has a proxy but not that wording

draft-ietf-snmpv3-appl-01.txt is the same as RFC2263 but snmpv3-appl-00.txt has
"   either SNMP requests or notifications without regard for what managed"

Now it makes sense:-)

Tom Petch

> Randy
>
> _______________________________________________
> IETFMIBS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietfmibs